/**
 * サンプルプログラム: 『<biz-stream_home>/sample/excel_csv/XmlToCsvSample.java』
 * レイアウトファイルからCSVファイルを生成するサンプルです。
 *
 * @author Copyright 2001-2022 BrainSellers.com Corp. All Rights Reserved.
 * @version 1.1.0
 * @since 1.0.0
 */
import java.io.FileNotFoundException;
import java.io.IOException;

import com.brainsellers.xml.JaxpXML;
import com.brainsellers.xml.common.XMLSuper;
import com.brainsellers.xml.page.CsvEngine;

public class XmlToCsvSample {
	// XMLファイル名
	private String xml_file = "${base-dir}/sample/excel_csv/ExcelCsv_Sample1.xml";
	// CSVファイル名
	private String csv_file = "${base-dir}/sample/excel_csv/XmlToCsvSample.csv";

	public static void main(String argv[]) {
		new XmlToCsvSample();
		System.exit(0);
	}

	/**
	 * コンストラクタ
	 *
	 * @param argv
	 *            起動時の引数
	 */
	public XmlToCsvSample() {
		try {
			CsvEngine csv = new CsvEngine(csv_file);
			// CSVファイルのエンコーディング
			csv.setCharacterEncoding("MS932");
//			csv.setCharacterEncoding("UTF-8");
			// CSVファイルの改行コード
			csv.setLineSeparator("\r\n");
//			csv.setLineSeparator("\n");
//			csv.setLineSeparator(System.lineSeparator());
			XMLSuper xml = new JaxpXML(xml_file, csv);
			// レイアウト情報(XML)の解析を行う
			xml.parse();
			// 座標計算を行う
			xml.calcDataSize();
			// CSVデータの生成
			xml.toPDF();
			// CSVファイルを出力する
			xml.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
